Skip to main content
POST
/
api
/
v1
/
tenants
Create tenant
curl --request POST \
  --url https://api.contracting.kukkingu.software/api/v1/tenants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Acme Corp",
  "description": "A leading provider of business solutions."
}
'
{
  "data": {
    "id": "tnt_cx0o4i8f0g950ul9gijig905",
    "name": "My Acme Corp",
    "createdAt": "2023-10-05T14:48:00.000Z",
    "updatedAt": "2023-10-05T14:48:00.000Z",
    "description": "A leading provider of business solutions."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body used to create a tenant resource.

Request body used to create a tenant resource.

name
string
required

Tenant name.

Required string length: 1 - 255
Example:

"My Acme Corp"

description
string

Detailed tenant description.

Example:

"A leading provider of business solutions."

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Tenant resource returned by the API.